# Uses of Enum Class
org.apache.sysds.runtime.compress.cost.CostEstimatorFactory.CostType

Packages that use CostEstimatorFactory.CostType
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.cost

## Uses of CostEstimatorFactory.CostType in org.apache.sysds.runtime.compress

Fields in org.apache.sysds.runtime.compress declared as CostEstimatorFactory.CostType
Modifier and Type
Field
Description
`final CostEstimatorFactory.CostType`
CompressionSettings.`costComputationType`
The cost computation type for the compression
Methods in org.apache.sysds.runtime.compress with parameters of type CostEstimatorFactory.CostType
Modifier and Type
Method
Description
`CompressionSettingsBuilder`
CompressionSettingsBuilder.`setCostType(CostEstimatorFactory.CostType costType)`
Set the cost type used for estimating the cost of column groups default is memory based.

## Uses of CostEstimatorFactory.CostType in org.apache.sysds.runtime.compress.cost

Methods in org.apache.sysds.runtime.compress.cost that return CostEstimatorFactory.CostType
Modifier and Type
Method
Description
`static CostEstimatorFactory.CostType`
CostEstimatorFactory.CostType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CostEstimatorFactory.CostType[]`
CostEstimatorFactory.CostType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.